﻿.container-pms-append .pms--guestprofile, .container-pms-append .pms--roomplan, .pms-general.pms--dashboard {
    flex: 1;
    gap: var(--px-12);
    min-width: 100%;
    min-height: 100%;
    display: flex;
    flex-direction: column;
}

.title-page {
    flex: 1;
    color: var(--bs-dark);
    font: normal normal 700 var(--s-24);
}

.sub-title-page {
    color: var(--text-secondary);
    font: normal normal 400 var(--s-14);
}

.guesprofile-general {
    position: relative;
    flex: 1;
    gap: 0;
    min-width: 100%;
    min-height: 100%;
    display: flex;
    /*    background: white;*/
    flex-direction: column;
}

.pms-header-page {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--px-24);
    padding: var(--px-8) 0;
}

    .pms-header-page.guest--container {
        display: none;
    }

.tab-profile-header {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    padding: 0 var(--px-32);
    height: 70px;
    gap: var(--px-12);
}

.search-profile {
    width: 300px;
    background: var(--white);
    border-radius: var(--px-8);
    height: 40px;
    display: flex;
    align-items: center;
    position: relative;
    box-shadow: 0 0 3px 1px #d3d3d3;
}

    .search-profile input {
        background: #ffffff00;
        border: 0px;
        outline: 0px;
        height: 100%;
        width: 100%;
        padding: 5px 35px 5px 15px;
    }

    .search-profile img {
        position: absolute;
        content: "";
        top: 10px;
        right: 10px;
        height: 20px;
        width: 20px;
        cursor: pointer;
    }

.list-profile {
    height: 100%;
}

.type-sort-profile {
    position: relative;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 3px 1px #d3d3d3;
    padding: 0 var(--px-12);
    border-radius: var(--px-4);
    background: var(--white);
    cursor: pointer;
    user-select: none;
}

    .type-sort-profile .sort-selected {
        font: normal normal 600 var(--s-14);
        color: var(--bs-gray-900);
    }

.sort-dropdown {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    min-width: 160px;
    background: #fff;
    border: 1px solid #ccc;
    border-radius: 6px;
    box-shadow: 0 4px 6px rgba(0,0,0,0.15);
    z-index: 10;
}

.sort-item {
    padding: 8px 12px;
    cursor: pointer;
}

    .sort-item:hover {
        background: #f2f2f2;
    }

.type-sort-profile.active .sort-dropdown {
    display: block;
}

.btn-add-new-profile {
    display: flex;
    align-items: center;
    justify-content: center;
    height: var(--px-40);
    border-radius: 8px;
    background: var(--bs-white);
    padding: 12px;
    box-shadow: 0 2px 10px #d1d1d150;
    border: 1px solid var(--bs-gray-300);
    font: normal normal 500 var(--s-14);
    color: var(--bs-dark);
    cursor: pointer;
}

/* body */
.list-client {
    display: grid;
    background-color: #F1F3F5;
    border-radius: var(--px-8);
    overflow: hidden;
}

.list-client-item {
    position: relative;
    width: 100%;
    min-height: 44px;
    max-height: 44px;
    display: flex;
    cursor: pointer;
    flex-direction: row;
    align-items: center;
    border-bottom: 1px solid #d1d1d1;
    padding: var( --px-16) var(--px-24);
    transition: box-shadow 150ms ease-in-out, border-color 150ms ease-in-out;
    background-color: var( --white);
}

    .list-client-item p {
        font: normal normal 400 var(--s-13);
        text-transform: capitalize;
    }

    .list-client-item span {
        font: normal normal 400 var(--s-13);
        text-transform: capitalize;
    }

    .list-client-item .client-1:nth-child(1) {
        width: 16%;
    }

    .list-client-item .client-1:nth-child(2) {
        width: 16%;
    }

    .list-client-item .client-1:nth-child(3) {
        width: 10%
    }

    .list-client-item .client-1:nth-child(4) {
        width: 30%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .list-client-item .client-1:nth-child(5) {
        width: 10%;
        padding-left: var(--px-4);
    }

    .list-client-item .client-1:nth-child(6) {
        width: 10%
    }

    .list-client-item .client-1:nth-child(7) {
        width: 10%;
        padding-left: var(--px-16)
    }

.client-info {
    font: normal normal 500 var(--s-20);
    color: var(--theme-mode-text);
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    flex-wrap: wrap;
}

.list-profile-header {
    display: flex;
    width: 100%;
    background: #f1f3f5;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: var(--px-16) var(--px-24);
    font: normal normal 600 var(--s-14);
    text-transform: capitalize;
}

    .list-profile-header .title-header::after {
        content: attr(data-full);
    }

    .list-profile-header .title-header:nth-child(1) {
        width: 16%;
    }

    .list-profile-header .title-header:nth-child(2) {
        width: 16%;
    }

    .list-profile-header .title-header:nth-child(3) {
        width: 10%
    }

    .list-profile-header .title-header:nth-child(4) {
        width: 30%
    }

    .list-profile-header .title-header:nth-child(5) {
        width: 10%
    }

    .list-profile-header .title-header:nth-child(6) {
        width: 10%
    }

    .list-profile-header .title-header:nth-child(7) {
        width: 10%;
        padding-left: var(--px-16)
    }

.list-profile-body {
    overflow: auto;
    display: flex;
    flex-direction: column;
}

.table-list-item.large-col.col-name {
    flex: 2;
    min-width: var(--px-160);
}

.table-list-item.large-col.col-address {
    flex: 2.5;
    min-width: var(--px-200);
}

.list-profile-body table {
    width: 100%;
}

.list-profile-body tr {
    height: var(--px-48);
    border-bottom: 1px solid #e9e9e9;
    cursor: pointer;
}

    .list-profile-body tr td {
        padding-left: 20px;
    }

        .list-profile-body tr td:nth-child(1) {
            width: 20%;
            font: normal normal 500 var(--s-16);
        }

            .list-profile-body tr td:nth-child(1)::first-letter {
                text-transform: capitalize;
            }

        .list-profile-body tr td:nth-child(2) {
            width: 10%
        }

        .list-profile-body tr td:nth-child(3) {
            width: 10%
        }

        .list-profile-body tr td:nth-child(4) {
            width: 30%;
            padding: var(--px-12) var(--px-20) 0;
        }

        .list-profile-body tr td:nth-child(5) {
            width: 10%
        }

        .list-profile-body tr td:nth-child(6) {
            width: 10%
        }

        .list-profile-body tr td:nth-child(7) {
            width: 10%
        }

.popup-addnew-profile {
    position: absolute;
    top: 0px;
    right: -1000px;
    width: 60%;
    max-width: 900px;
    height: 100%;
    transition: 0.3s;
    background: #fff;
    display: flex;
    box-shadow: 0 1px 14px 3px #d3d3d3;
}

    .popup-addnew-profile.show {
        right: 0px;
        transition: 0.3s;
        z-index: 112;
    }

.btn-close-popup {
    position: absolute;
    top: 20px;
    right: -1000px;
    background: #fff;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    font-size: 22px;
    font-weight: 600;
    cursor: pointer;
    box-shadow: 0 1px 14px 3px #d3d3d3;
}

.popup-addnew-profile.show .btn-close-popup {
    right: 20px;
    transition: 0.3s
}

.popup-profile-left {
    width: 300px;
    border-right: 1px solid #d3d3d3;
    padding: 20px;
    position: relative;
}

.profile-basic-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--px-8);
}

.info-name {
    text-align: center;
}

.info-phone, .info-mail {
    display: flex;
    gap: 10px;
}

    .info-phone span, .info-mail span {
        font-size: 13px;
    }

    .info-phone .hide-phone {
        cursor: pointer;
    }

.info-reward-member {
    color: var(--bs-gray-600);
    font-size: 13px;
    font-weight: 600;
}

.switch input {
    display: none;
}

.slider {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 20px;
    background-color: #ccc;
    border-radius: 15px;
    cursor: pointer;
    transition: 0.3s;
}

    .slider:before {
        content: "";
        position: absolute;
        width: 16px;
        height: 16px;
        left: 2px;
        top: 2px;
        background-color: white;
        border-radius: 50%;
        transition: 0.3s;
    }

.switch input:checked + .slider {
    background-color: var(--bs-main-400);
}

    .switch input:checked + .slider:before {
        transform: translateX(19px);
    }

.input-group-switch {
    display: flex;
    gap: 10px;
    font-size: 14px;
    font-weight: 500;
}

.list-btn-action {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 5px;
}

.btn-delete-profile, .btn-resetpass-profile {
    height: 35px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    cursor: pointer;
    font-weight: 500;
    gap: 10px;
}

.btn-delete-profile {
    background: #ea001e;
    color: #fff;
}

.btn-resetpass-profile {
    color: #000;
    border: 1px solid #000;
}

.profile-list-action-button {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: 20px 0px;
}

.profile-action-buton {
    font-weight: 500;
    height: 40px;
    display: flex;
    align-items: center;
    width: 100%;
    border-radius: 5px;
    padding: 0 10px;
    cursor: pointer;
    justify-content: space-between;
}

    .profile-action-buton.active {
        box-shadow: 0 0 5px 1px #d3d3d3;
        background: var(--bs-main-400);
        color: #fff;
    }

.tab-profile-detail {
    display: flex;
    background: #f0f6fa;
    padding: var(--px-8);
    border-radius: var(--px-12);
    gap: var(--px-8);
}

.tab-profile-chill {
    flex: 1;
    text-align: center;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s;
    padding: var(--px-12) 0;
    border-radius: var(--px-8);
    color: #333;
}

    .tab-profile-chill.active {
        display: flex;
        align-items: center;
        justify-content: center;
        padding: var(--px-8);
        border-radius: var(--px-12);
        background: var(--white);
        color: #2abdd4;
        box-shadow: 0px 2px 5px 0px #d3d3d3;
    }

    .tab-profile-chill:hover {
        color: #2abdd4;
    }

.tab-profile {
    height: calc(100% - 30px);
}

.tab-profile-detail_chill-list {
    width: 100%;
    height: calc(100% - 60px);
    display: flex;
    padding-bottom: 10px;
}

.tab-profile-detail_chill {
    height: 100%;
    width: 100%;
    overflow: auto;
}

.form-input {
    display: flex;
    flex-direction: column;
    position: relative
}

    .form-input input[type="text"] {
        border: 1px solid #d3d3d3;
        outline: 0px;
        height: 35px;
        padding: 0 0 0 10px;
        border-radius: 5px;
    }

    .form-input select {
        border: 1px solid #d3d3d3;
        outline: 0px;
        height: 35px;
        padding: 0 0 0 var(--px-4);
        border-radius: var(--px-4);
        font: normal normal 500 var(--s-12);
        color: rgb(75 85 99);
    }

    .form-input .label-for-checkbox {
        width: 25px;
        height: 25px;
        border: 1px solid #d3d3d3;
        border-radius: 3px;
        top: calc(50% + 24px);
        left: 50%;
        transform: translate(-50%, calc(-50% - 12px));
        position: absolute;
        cursor: pointer;
    }

    .form-input input[type="checkbox"]:checked + .label-for-checkbox::before {
        content: "";
        position: absolute;
        inset: 2px;
        background: #4caf50;
        border-radius: 2px;
    }

    .form-input input[type="checkbox"]:checked + .label-for-checkbox::after {
        content: "";
        position: absolute;
        left: 6px;
        top: 2px;
        width: 6px;
        height: 12px;
        border: solid #fff;
        border-width: 0 2px 2px 0;
        transform: rotate(45deg);
    }


/* detail guest */
.popup-profile-right {
    width: calc(100% - 300px);
    padding: var(--px-12);
    display: flex;
    flex-direction: column;
    gap: var(--px-12);
}

    .popup-profile-right .tab__info {
        gap: var(--px-12);
        display: flex;
        flex-direction: column;
        overflow: auto;
    }

    .popup-profile-right .popup__header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
    }

    .popup-profile-right .contact-card {
        width: 100%;
        flex: 1;
        border: 1px solid #d1d1d1;
        border-radius: .75em;
        padding: var(--px-24);
    }

    .popup-profile-right .contact-card__header {
        display: flex;
        gap: var(--px-12);
        align-items: center;
    }

        .popup-profile-right .contact-card__header span {
            font: normal normal 600 var(--s-16);
        }

    .popup-profile-right .group-card__item {
        display: flex;
        align-items: center;
        width: 100%;
        margin-top: var(--px-12);
        gap: var(--px-12);
    }

    .popup-profile-right .contact-card__item {
        display: flex;
        align-items: center;
        gap: var(--px-12);
        margin-top: var(--px-12);
        width: 50%;
        flex: 1;
        min-width: 0;
    }

        .popup-profile-right .contact-card__item .contact-card__details {
            display: flex;
            flex-direction: column;
            gap: var(--px-8);
            width: 100%;
            padding: 0;
        }

            .popup-profile-right .contact-card__item .contact-card__details .contact-card__label {
                font: normal normal 600 var(--s-14);
            }

            .popup-profile-right .contact-card__item .contact-card__details .contact-card__value {
                font: normal normal 500 var(--s-12);
                color: rgb(75 85 99);
            }


/* ======================================================================================= */
.popup-container.pms--guestprofile {
    /*    min-width: 50vw;
    max-width: 50vw;*/
}

    .popup-container.pms--guestprofile .sidebar {
        display: flex;
        overflow: auto;
    }

.grid-client-view-append {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(var(--px-280), 1fr));
    grid-gap: var(--px-12);
    overflow: auto;
    border-radius: 6px;
}

    .grid-client-view-append .box-profile-client {
        display: flex;
        flex-direction: column;
        border: 1px solid var(--bs-gray-300);
        border-radius: var(--px-8);
        gap: var(--px-8);
        padding: var(--px-12);
        background: white;
    }

        .grid-client-view-append .box-profile-client .guest-name-flex {
            padding: var(--px-8) 0;
        }

        .grid-client-view-append .box-profile-client .special {
            flex: 1;
            font: normal normal 500 var(--s-16);
        }

        .grid-client-view-append .box-profile-client:hover {
            cursor: pointer;
            box-shadow: 0 6px 6px var(--bs-gray-400);
        }


        .grid-client-view-append .box-profile-client .client-name-flex.client {
            display: flex;
            flex-direction: column;
            padding: var(--px-12) 0;
            border-radius: 0;
            border: 1px dashed var(--bs-gray-400);
            border-width: 1px 0 1px 0;
            gap: var(--px-8);
        }

            .grid-client-view-append .box-profile-client .client-name-flex.client .time-due-date {
                gap: var(--px-4);
                display: flex;
                align-items: center;
            }

            .grid-client-view-append .box-profile-client .client-name-flex.client .phone, .grid-client-view-append .box-profile-client .client-name-flex.client .email {
                font: normal normal 500 var(--s-12);
                color: var(--text-room-color);
            }

        .grid-client-view-append .box-profile-client .info-room-section {
            display: grid;
            position: relative;
            padding: 8px 0 4px;
            grid-template-columns: repeat(1, 1fr);
            gap: var(--px-8);
        }

            .grid-client-view-append .box-profile-client .info-room-section .item-client {
                gap: var(--px-4);
                display: flex;
                align-items: center;
            }

                .grid-client-view-append .box-profile-client .info-room-section .item-client span {
                    font: normal normal 500 var(--s-12);
                    color: var(--text-room-color);
                }

        .grid-client-view-append .box-profile-client .box-note {
            padding: 6px;
            border-radius: 6px;
            margin-top: 0;
            border: 1px dashed var(--bs-gray-300);
        }

            .grid-client-view-append .box-profile-client .box-note span {
                font: normal normal 500 var(--s-12);
                color: var(--text-room-color);
            }

/* ============================================================== */

.popup-profile-right.form_add {
    width: calc(100%);
    padding: var(--px-12);
    display: flex;
    flex-direction: column;
    gap: var(--px-12);
}

.form-input select:disabled {
    background-color: var(--bs-gray-200);
}
